package org.aohe.core.twain;


import org.aohe.transfer.TwainFileTransfer;
import org.aohe.transfer.TwainMemoryTransfer;
import org.aohe.transfer.TwainNativeTransfer;
import org.aohe.transfer.TwainTransfer;

public class TwainDefaultTransferFactory implements TwainTransferFactory {

    public TwainDefaultTransferFactory() {
    }

    @Override
    public TwainTransfer createMemoryTransfer(TwainSource source) {
        return new TwainMemoryTransfer(source);
    }

    @Override
    public TwainTransfer createNativeTransfer(TwainSource source) {
        return new TwainNativeTransfer(source);
    }

    @Override
    public TwainTransfer createFileTransfer(TwainSource source) {
        return new TwainFileTransfer(source);
    }

}
